PDA

Visualizza la versione completa : Installazioni non riuscite


firework
19-02-2005, 23:03
Ragazzi sono disperato: quando cerco di installare un programma lancio ./configure, ma alla fine mi da ogni volta un errore. Per cui i comandi make e make install non mi funzionano. Come mai? Su 20 programmi 18 non ne funzionano, o meglio non si riescono ad installare

gianiaz
20-02-2005, 09:25
alla fine di ogni configure andato male c' la spiegazione di un comando o libreria che mancano sul tuo sistema...
prova a postare le ultime 10 righe del configure...

firework
20-02-2005, 21:19
Gli errori sono svariati. Ne riporto alcuni:
-quando cerco di installare gnu parted mi dice: GNU Parted requires libuuid - a part of the e2fsprogs package (but
sometimes distributed separately in uuid-devel or similar)
This can probably be found on your distribution's CD or FTP site

-quando cerco di installare lmule mi dice:
Please check that wx-config is in path, the directory
where wxWindows libraries are installed (returned by
'wx-config --libs' command) is in LD_LIBRARY_PATH or
equivalent variable and wxWindows is version 2.4.0 or above.
Or this might also be a bug in our configure. Please try again
with --with-wx-config=/usr/bin/wx-config
(replace /usr/bin/wx-config with a valid path to your wx-config)

-quando cerco di installare clamav mi dice: he installed zlib version may contain a security bug. Please upgrade to 1.2.2 or later: http://www.zlib.net. You can omit this check with --disable-zlib-vcheck but DO NOT REPORT any stablility issues then!

Ci sono molti altri errori. Ma mai possibile che alla mia distro, mandrake 10.1, manchino tutte queste librerie? Eppure strano, perch il ./configure a volte mi dice che ci vuole la libreria GTK, che ho correttamente installato da uno dei cd di mandrake.
Qualche modo per risolvere queste stranezze? Thanks

ps: Mi raccomando, non rispondetemi con paroloni difficili perch in campo linux non sono un esperto :bh:

sopadj1
20-02-2005, 21:23
Originariamente inviato da firework

Qualche modo per risolvere queste stranezze? Thanks


o passi ad una distro debian-based e con apt non avrai questi problemi o ti scarichi i pacchetti mancanti

ps: prima di "sporcare" con i programmi sorgenti scaricati gli rpm o cmq i precompilati per la tua distro in modo tale da poter gestire i pacchetti installati tramite il tool della tua distro

claudiocrack
20-02-2005, 21:28
Io mi sono abituato con gli rpm e mi trovo bene e quando non ci stanno rpm uso anche io i tar.gz

firework
20-02-2005, 21:45
per quando installi un rpm devi installare anche tutti gli altri rpm che fungono da librerie per il programma. Cosa un p fastidiosa...
Comunque passer a Debian Sarge. Prima dell'installazione presente un tool grafico di partizionamento come mandrake o suse?

Sergej_D
20-02-2005, 21:49
C' ma non "grafico" tipo mandrake...

claudiocrack
20-02-2005, 22:04
in grafica ascii :stordita:

mykol
20-02-2005, 22:53
parti da una Knoppix o Kanotix, molto pi semplice, poi arrivi allo stesso risultato ...

gianiaz
21-02-2005, 08:30
Originariamente inviato da firework
per quando installi un rpm devi installare anche tutti gli altri rpm che fungono da librerie per il programma. Cosa un p fastidiosa...


E quali errori pensi che stia segnalando il sorgente quando non va a buon fine l'installazione?

Le librerie un po' fastidiose da installare...

Loading